
TEXMFMAIN = /usr/share/texmf
TEXMFCONF = /etc/texmf

# $TEXMF/tex/latex/hlatex/
TEX_LATEX_HLATEX_FILES =			\
	hangul.sty				\
	hfont.tex				\
	hfont.sty				\
	josa.tab				\
	hfont.cfg				\
	uhc/latex/*				\
	moonttf/*.fd				\
	moonttf/moonttf.sty

# $TEXMF/omega/latex/hlatex/
OMEGA_LAMBDA_HLATEX_FILES=			\
	uhc/lambda/*.tex			\
	uhc/lambda/*.fd

# $TEXMF/omega/otp/hlatex/
OMEGA_OTP_HLATEX_FILES=				\
	uhc/lambda/ksx1001.otp

# $TEXMF/omega/ocp/hlatex/
OMEGA_OCP_HLATEX_FILES=				\
	uhc/lambda/ksx1001.ocp 

# $TEXMF/bibtex/bst/hlatex/
BIBTEX_BST_HLATEX_FILES= \
	contrib/halpha.bst

# $TEXMF/makeindex/hlatex/
MAKEINDEX_HLATEX_FILES=				\
	contrib/hind.ist			\
	contrib/hglo.ist


install:
	install -d $(DESTDIR)/usr/share/texmf/tex/latex/hlatex
	install -d $(DESTDIR)/usr/share/texmf/omega/lambda/hlatex
	install -d $(DESTDIR)/usr/share/texmf/omega/ocp/hlatex
	install -d $(DESTDIR)/usr/share/texmf/omega/otp/hlatex
	install -d $(DESTDIR)/usr/share/texmf/bibtex/bst/hlatex
	install -d $(DESTDIR)/usr/share/texmf/makeindex/hlatex

	for F in $(TEX_LATEX_HLATEX_FILES); do \
	 install -m644 $$F $(DESTDIR)$(TEXMFMAIN)/tex/latex/hlatex; \
	done
	for F in $(OMEGA_LAMBDA_HLATEX_FILES); do \
	 install -m644 $$F $(DESTDIR)$(TEXMFMAIN)/omega/lambda/hlatex; \
	done
	for F in $(OMEGA_OTP_HLATEX_FILES); do \
	 install -m644 $$F $(DESTDIR)$(TEXMFMAIN)/omega/otp/hlatex; \
	done
	for F in $(OMEGA_OCP_HLATEX_FILES); do \
	 install -m644 $$F $(DESTDIR)$(TEXMFMAIN)/omega/ocp/hlatex; \
	done
	for F in $(BIBTEX_BST_HLATEX_FILES); do \
	 install -m644 $$F $(DESTDIR)$(TEXMFMAIN)/bibtex/bst/hlatex; \
	done
	for F in $(MAKEINDEX_HLATEX_FILES); do \
	 install -m644 $$F $(DESTDIR)$(TEXMFMAIN)/makeindex/hlatex; \
	done

# Build architecture-dependent files here.
binary-arch: build install
# We have nothing to do by default.

# Build architecture-independent files here.
binary-indep: build install

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install
