#
# spec file for package HLaTeX (Version 0.991)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  base fileutils tetex
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit te_ams te_latex tetex texinfo textutils timezone unzip util-linux vim

Name:         HLaTeX
Copyright:    GPL
Group:        Extensions/Korean
Requires:     tetex
Autoreqprov:  on
Summary:      LaTeX Korean support
Version:      0.991
Release:      149
Source0:      HLaTeX-%{version}.tar.bz2
Source1:      HLaTeX.Makefile
Patch0:       hlatex_0.991-1.1.diff.gz
Buildroot:    %{_tmppath}/%{name}-root

%description
LaTeX Korean support
HLaTeX is a LaTeX package use Hangul with LaTeX.
With this package, you can run latex on KSX 1001 based Korean LaTeX
file to produce a professionally looking Korean documents. You can
typeset all Korean characters defined in KS X 1001, including Korean
Symbol, Hangul and Hanja.

Authors:
--------
    Koaunghi Un <zxmst22@softland>

SuSE series: han

Summary:      LaTeX Korean support
%prep
%setup -c -n HLaTeX
%patch0 -p1
cp %{SOURCE1} ./makefile

%install
if [ -n "%{?buildroot}" ] ; then
   [ %{buildroot} != "/" ] && rm -rf %{buildroot}
fi
make install DESTDIR=%{buildroot}
mkdir -p %{buildroot}/var/lib/texmf/dvips/config
install -c -m 755 uhc/config/uhc-down.map \
	%{buildroot}/var/lib/texmf/dvips/config

%post
sed -e '/uhc-down\.map/d' </var/lib/texmf/dvips/config/updmap>/tmp/map.$$
sed -e '/^extra_module/a \
uhc-down.map' </tmp/map.$$ >/tmp/map.$$.1
(cd /var/lib/texmf/dvips/config/;sh /tmp/map.$$.1)
mv /tmp/map.$$.1 /var/lib/texmf/dvips/config/updmap.hlatex
rm -rf /tmp/map.$$
mkdir -p var/adm/SuSEconfig ; touch var/adm/SuSEconfig/run-texhash
test -x usr/bin/texhash && usr/bin/texhash
exit 0

%postun
mkdir -p var/adm/SuSEconfig ; touch var/adm/SuSEconfig/run-texhash
test -x usr/bin/texhash && usr/bin/texhash
exit 0

%files
%doc doc/hlguide.html doc/*.jpg doc/*.gz doc/dot.js
%doc hlguide.tex hlguide.bib changelog.ks hlatex-en.html 
%doc hlatex-ko.html hlatex.html news.099 readme.eng
%{_prefix}/share/texmf/*
/var/lib/texmf/dvips/config

%changelog -n HLaTeX
* Wed May 09 2001 - mfabian@suse.de
- bzip2 sources
* Sat Jan 20 2001 - violiet@suse.de
- new package HLaTeX version to 0.991.
